Support

Vizi Modeler | Forum - E-Mail Support - Lisence Info - System Requirements

Here you will find important information to…

Access public forum

Create support ticket (email form, requires login with your account information – username and password)

Service release: Download older or latest service releases (requires login with your license information.

Update license

Subscription overview

Subscription and License information

Registered users can get an overview of all licenses, make updates or extend their subscriptions.

your subscriptions and licenses

Forum

Access Forum

The Forum is open and free of charge for all users of  Vizi-Modeler. Here you can announce and exchange experiences with other users. Our experts will support you as much as possible.

go to Forum

E-Mail support

Email support

For registered users with a valid subscription (license under support) we offer direct email support. Our engineers get in touch with you and reply to your requests via email.

get eMail Support

Update Software

Software Update

Registered users with valid subscription (license under Support)  can update their license to the latest version.

update your Software

Extend License

Access extend license service

Go to the shop to extend your license

extend your License

Service Release

Access service release

Registered users can download all former software versions and its corresponding software service releases.

get Service Release

System Requirements

 

Vizi Modeler and further versions of Process Modeler 5/6

System Requirements Vizi Modeler 7

VIZI MODELER 7

Operating System

Windows 7, Windows 8, Windows 10

Microsoft Office

  • Microsoft Visio: Microsoft Visio™ 2010, 2013/2016 (recommended for several features)
  • Microsoft Word™ 2010, 2013/2016 (recommended for several features)
  • Microsoft Excel™ 2010/2013/2016 (recommended for several features)
  • Microsoft PowerPoint™ 2010/2013/2016 (recommended for several features)
  • Microsoft Project™ 2010/2013/2016 (required for the planning feature)

Please note: Vizi Modeler does not support anymore Office 2007 and older

Frameworks

Microsoft .Net Framework 4.5 or higher and Visual Studio 2010 Tools for Office Runtime (both will be installed during setup)
Alternatively, they can be downloaded manually from the following locations:

Browser

  • Microsoft Internet Explorer 9 or higher (needed to install .NET Framework)
  • Microsoft Edge
    Please note: Microsoft Edge does not support anymore HTML Export which includes ActiveX-Objects. Use Inter Explorer instead

System Requirements Process Modeler 6

PROCESS MODELER 6

Operating System

XP Home/Professional, Vista, Windows 7, Windows 8, Windows 10

Microsoft Office

  • Microsoft Visio: Microsoft Visio™ 2007/2010, 2013/2016 (recommended for several features)
  • Microsoft Word™ 2007/2010, 2013/2016 (recommended for several features)
  • Microsoft Excel™ 2007/2010/2013/2016 (recommended for several features)
  • Microsoft PowerPoint™ 2007/2010/2013/2016 (recommended for several features)
  • Microsoft Project™ 2007/2010/2013/2016 (required for the planning feature)

Frameworks

Microsoft .Net Framework 4.0 or higher and Visual Studio 2010 Tools for Office Runtime (both will be installed during setup)
Alternatively, they can be downloaded manually from the following locations:

Browser

  • Microsoft Internet Explorer 5.01 or higher (needed to install .NET Framework)
  • Microsoft Silverlight™ (needed for Visio™ 2010 HTML export)
Please note: Installation requires administrator privileges for the installation of Frameworks.
Please make sure, you have installed the latest service packs and updates for your Windows Operating System.

The Team Repository Administration program requires the Oracle Instant Client for Microsoft Windows (x64) if it is used with Oracle 11g on Windows 7 64-bit.

Please note: Do not install the Process Modeler installation package contained “Oracle Client – 32bit”!

System Requirements Process Modeler 5

PROCESS MODELER 5

Operating System 

  • Microsoft Windows 2000™, XP Home/Professional, Vista, Windows 7 incl. Microsoft .Net Framework 2.0 or higher

Microsoft Visio

  • Microsoft Visio™ 2003/2007/2010

Microsoft Office

  • Microsoft Word™ 2000/XP/2003/2007/2010 (recommended for several features)
  • Microsoft Excel™ 2000/XP/2003/2007/2010 (recommended for several features)
  • Microsoft PowerPoint™ 2000/XP/2003/2007/2010 (recommended for several features)
  • Microsoft Project™ 2000/XP/2003/2007/2010 (required for the planning feature)

Browser

Microsoft Internet Explorer 5.01 or higher (needed to install .NET Framework)
Microsoft Silverlight™ (needed for Visio™ 2010 HTML export)


Please note: Visio™ 2010 requires .Net Framework 4.0 and Visual Studio 2010 Tools for Office Runtime (both will be installed during setup)
Alternatively, they can be downloaded manually from the following locations:
– .Net Framework 4.0: http://www.microsoft.com/en-us/download/details.aspx?id=17718
– Visual Studio 2010 Tools for Office Runtime: http://www.microsoft.com/en-us/download/details.aspx?id=35594

Please note: Installation requires administrator privileges.
Please make sure, you have installed the latest service packs and updates for your Windows Operating System.

The Team Repository Administration program requires the Oracle Instant Client for Microsoft Windows (x64) if it is used with Oracle 11g on Windows 7 64-bit.

Please note: Do not install the Process Modeler installation package contained “Oracle Client – 32bit”!

Please note: since version 6 we changed the license model from a permanent to a time based licensing. This implies that your Process Modeler 6 license will expire after the defined period you have paid for. All  Process Modeler licenses less than version  6 will still work together with the corresponding  software.